"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDefaultLocale = exports.getLocale = exports.path2lang = exports.lang2path = exports.checkLang = void 0;
const config_1 = require("./config");
const reportStatus = {};
exports.checkLang = (lang) => config_1.langs.includes(lang);
/** get path from language */
exports.lang2path = (lang) => {
    if (config_1.lang2PathConfig[lang])
        return config_1.lang2PathConfig[lang];
    console.error(`${lang} has no path config, and will return '/' instead.
You can contribute to https://github.com/Mister-Hope/vuepress-theme-hope/blob/master/packages/shared-utils/lib/i18n/config.ts`);
    return "/";
};
/** get language from path */
exports.path2lang = (path) => {
    if (config_1.path2langConfig[path])
        return config_1.path2langConfig[path];
    console.error(`${path} isn’t assign with a lang, and will return 'en-US' instead.
You can contribute to https://github.com/Mister-Hope/vuepress-theme-hope/blob/master/packages/shared-utils/lib/i18n/config.ts`);
    return "en-US";
};
/** Get locate of certain language */
exports.getLocale = (lang) => {
    if (config_1.localesConfig[lang])
        return config_1.localesConfig[lang];
    if (!reportStatus[lang]) {
        console.warn(`${lang} locates config is missing, and will return 'en-US' instead.
You can contribute to https://github.com/Mister-Hope/vuepress-theme-hope/blob/master/packages/shared-utils/lib/i18n/config.ts.
Note: This warning will be shown only once.`);
        reportStatus[lang] = true;
    }
    return config_1.localesConfig["en-US"];
};
exports.getDefaultLocale = () => config_1.localesConfig["en-US"];
